Package it.ernytech.tdlib

## Class TdApi.UpdateBasicGroupFullInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateBasicGroupFullInfo

Enclosing class:
  TdApi

    public static class TdApi.UpdateBasicGroupFullInfo
    extends TdApi.Update

Some data from basicGroupFullInfo has been changed.

### Field Summary

Fields
`TdApi.BasicGroupFullInfo` `basicGroupFullInfo` New full information about the group.
`int` `basicGroupId` Identifier of a basic group.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`UpdateBasicGroupFullInfo()` Default constructor.
`UpdateBasicGroupFullInfo​(int basicGroupId, TdApi.BasicGroupFullInfo basicGroupFullInfo)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### basicGroupId

    public int basicGroupId

Identifier of a basic group.

#### basicGroupFullInfo

    public TdApi.BasicGroupFullInfo basicGroupFullInfo

New full information about the group.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateBasicGroupFullInfo

    public UpdateBasicGroupFullInfo()

Default constructor.

#### UpdateBasicGroupFullInfo

    public UpdateBasicGroupFullInfo​(int basicGroupId,
                                    TdApi.BasicGroupFullInfo basicGroupFullInfo)

Constructor for initialization of all fields.

Parameters:
  `basicGroupId` - Identifier of a basic group.
  `basicGroupFullInfo` - New full information about the group.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR